
 //+------------------------------------------------------------------+
 //|                                                                  |
 //|                         www.forexdyr.com                         |
 //|                         King_Prog                                |
 //+------------------------------------------------------------------+
   
#property copyright "King_Brog"
#property link      "www.forexdyr.com"

#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 LightSeaGreen

extern int TimeFrame=0;
extern int period=14;
extern int applied_price=0;
extern bool EnableAlert=true;
extern double OverSold=-100;
extern double OverBought=100;
extern bool EnableSendMail=false;
extern bool EnableComment=true;
extern int  alertsForBar=1;

datetime Timee;
double CCI_Line[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   SetIndexBuffer(0,CCI_Line);
   SetIndexStyle(0,DRAW_LINE);
   
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
 {
  Comment("");
  return(0);
 }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start() 
 { 
  if(EnableComment)Comment("King_Prog"+"\n"+"www.forexdyr.com");  
   
  int bars=Bars-IndicatorCounted();
  for(int i=0;i<=bars;i++)
  {
   int shift=iBarShift(Symbol(),TimeFrame,iTime(Symbol(),0,i),false);
   CCI_Line[i]=iCCI(Symbol(),TimeFrame,period,applied_price,shift);
  }  
   
  if(CCI_Line[alertsForBar]>=OverBought&&CCI_Line[alertsForBar+1]<OverBought&&Timee!=Time[0])
  {
   if(EnableAlert)Alert("CCI Over Bought "+Symbol()+" TF: "+Period());
   if(EnableSendMail)SendMail("CCI Over Bought","CCI Over Bought "+Symbol()+" period: "+Period());
   Timee=Time[0];
  }
  
  if(CCI_Line[alertsForBar]<=OverSold&&CCI_Line[alertsForBar+1]>OverSold&&Timee!=Time[0])
  {
   if(EnableAlert)Alert("CCI Over Sold "+Symbol()+" TF: "+Period());
   if(EnableSendMail)SendMail("CCI Over Sold","CCI Over Sold "+Symbol()+" period: "+Period());
   Timee=Time[0];
  }   
   return(0); 
 }